<?xml version="1.0" encoding="UTF-8"?>
<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN" "http://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd">
<html xmlns="http://www.w3.org/1999/xhtml" lang="en" xml:lang="en">

<head>
  <title>KCompletionBase</title>
  <meta http-equiv="Content-Type" content="text/html; charset=utf-8" />
  <meta http-equiv="Content-Style-Type" content="text/css" />
  <link rel="stylesheet" type="text/css" href="../common/doxygen.css" />
  <link rel="stylesheet" media="screen" type="text/css" title="KDE Colors" href="../common/kde.css" />
</head>
<body>
<div id="container">
<div id="header">
  <div id="header_top">
    <div>
      <div>
        <img alt ="" src="../common/top-kde.jpg"/>
        KDE 4.2 PyKDE API Reference
      </div>
    </div>
  </div>
  <div id="header_bottom">
    <div id="location">
      <ul>
        <li>KDE's Python API</li>
      </ul>
    </div>

    <div id="menu">
      <ul>
        <li><a href="../modules.html">Overview</a></li>
<li><a href="http://techbase.kde.org/Development/Languages/Python">PyKDE Home</a></li>
<li><a href="http://kde.org/family/">Sitemap</a></li>
<li><a href="http://kde.org/contact/">Contact Us</a></li>
</ul>
    </div>
  </div>
</div>

<div id="body_wrapper">
<div id="body">
<div id="right">
<div class="content">
<div id="main">
<div class="clearer">&nbsp;</div>

<h1>KCompletionBase Class Reference</h1>
<code>from PyKDE4.kdeui import *</code>
<p>



<h2>Detailed Description</h2>
<dl class="abstract" compact><dt><b>Abstract class:</b></dt>
<dd>This class can be used as a base class for new classes, but can not be instantiated directly.</dd></dl>

<table border="0" cellpadding="0" cellspacing="0"><tr><td colspan="2"><br><h2>Enumerations</h2></td></tr>
<tr><td class="memItemLeft" nowrap align="right" valign="top"><a class="el" href="#obj192839180">KeyBindingType</a>&nbsp;</td><td class="memItemRight" valign="bottom">{&nbsp;TextCompletion, PrevCompletionMatch, NextCompletionMatch, SubstringCompletion&nbsp;}</td></tr>
<tr><td colspan="2"><br><h2>Methods</h2></td></tr>
<tr><td class="memItemLeft" nowrap align="right" valign="top">&nbsp;</td><td class="memItemRight" valign="bottom"><a class="el" href="#obj192848460">__init__</a> (self)</td></tr>
<tr><td class="memItemLeft" nowrap align="right" valign="top">&nbsp;</td><td class="memItemRight" valign="bottom"><a class="el" href="#obj192876300">__init__</a> (self, <a href="../kdeui/KCompletionBase.html">KCompletionBase</a> a0)</td></tr>
<tr><td class="memItemLeft" nowrap align="right" valign="top"><a href="../kdeui/KCompletion.html">KCompletion</a>&nbsp;</td><td class="memItemRight" valign="bottom"><a class="el" href="#obj192873228">compObj</a> (self)</td></tr>
<tr><td class="memItemLeft" nowrap align="right" valign="top">KGlobalSettings.Completion&nbsp;</td><td class="memItemRight" valign="bottom"><a class="el" href="#obj192862220">completionMode</a> (self)</td></tr>
<tr><td class="memItemLeft" nowrap align="right" valign="top"><a href="../kdeui/KCompletion.html">KCompletion</a>&nbsp;</td><td class="memItemRight" valign="bottom"><a class="el" href="#obj192849164">completionObject</a> (self, bool hsig=1)</td></tr>
<tr><td class="memItemLeft" nowrap align="right" valign="top"><a href="../kdeui/KCompletionBase.html">KCompletionBase</a>&nbsp;</td><td class="memItemRight" valign="bottom"><a class="el" href="#obj192875052">delegate</a> (self)</td></tr>
<tr><td class="memItemLeft" nowrap align="right" valign="top">bool&nbsp;</td><td class="memItemRight" valign="bottom"><a class="el" href="#obj192851916">emitSignals</a> (self)</td></tr>
<tr><td class="memItemLeft" nowrap align="right" valign="top"><a href="../kdeui/KShortcut.html">KShortcut</a>&nbsp;</td><td class="memItemRight" valign="bottom"><a class="el" href="#obj192863468">getKeyBinding</a> (self, KCompletionBase.KeyBindingType item)</td></tr>
<tr><td class="memItemLeft" nowrap align="right" valign="top">KCompletionBase.KeyBindingMap&nbsp;</td><td class="memItemRight" valign="bottom"><a class="el" href="#obj192874060">getKeyBindings</a> (self)</td></tr>
<tr><td class="memItemLeft" nowrap align="right" valign="top">bool&nbsp;</td><td class="memItemRight" valign="bottom"><a class="el" href="#obj192851372">handleSignals</a> (self)</td></tr>
<tr><td class="memItemLeft" nowrap align="right" valign="top">bool&nbsp;</td><td class="memItemRight" valign="bottom"><a class="el" href="#obj192851116">isCompletionObjectAutoDeleted</a> (self)</td></tr>
<tr><td class="memItemLeft" nowrap align="right" valign="top">&nbsp;</td><td class="memItemRight" valign="bottom"><a class="el" href="#obj192851468">setAutoDeleteCompletionObject</a> (self, bool autoDelete)</td></tr>
<tr><td class="memItemLeft" nowrap align="right" valign="top">&nbsp;</td><td class="memItemRight" valign="bottom"><a class="el" href="#obj192872588">setCompletedItems</a> (self, <a href="http://www.riverbankcomputing.co.uk/static/Docs/PyQt4/html/qstringlist.html">QStringList</a> items, bool autoSuggest=1)</td></tr>
<tr><td class="memItemLeft" nowrap align="right" valign="top">&nbsp;</td><td class="memItemRight" valign="bottom"><a class="el" href="#obj192863916">setCompletedText</a> (self, <a href="http://www.riverbankcomputing.co.uk/static/Docs/PyQt4/html/qstring.html">QString</a> text)</td></tr>
<tr><td class="memItemLeft" nowrap align="right" valign="top">&nbsp;</td><td class="memItemRight" valign="bottom"><a class="el" href="#obj192860908">setCompletionMode</a> (self, KGlobalSettings.Completion mode)</td></tr>
<tr><td class="memItemLeft" nowrap align="right" valign="top">&nbsp;</td><td class="memItemRight" valign="bottom"><a class="el" href="#obj192849676">setCompletionObject</a> (self, <a href="../kdeui/KCompletion.html">KCompletion</a> compObj, bool hsig=1)</td></tr>
<tr><td class="memItemLeft" nowrap align="right" valign="top">&nbsp;</td><td class="memItemRight" valign="bottom"><a class="el" href="#obj192874668">setDelegate</a> (self, <a href="../kdeui/KCompletionBase.html">KCompletionBase</a> delegate)</td></tr>
<tr><td class="memItemLeft" nowrap align="right" valign="top">&nbsp;</td><td class="memItemRight" valign="bottom"><a class="el" href="#obj192851884">setEnableSignals</a> (self, bool enable)</td></tr>
<tr><td class="memItemLeft" nowrap align="right" valign="top">&nbsp;</td><td class="memItemRight" valign="bottom"><a class="el" href="#obj192849740">setHandleSignals</a> (self, bool handle)</td></tr>
<tr><td class="memItemLeft" nowrap align="right" valign="top">bool&nbsp;</td><td class="memItemRight" valign="bottom"><a class="el" href="#obj192862668">setKeyBinding</a> (self, KCompletionBase.KeyBindingType item, <a href="../kdeui/KShortcut.html">KShortcut</a> key)</td></tr>
<tr><td class="memItemLeft" nowrap align="right" valign="top">&nbsp;</td><td class="memItemRight" valign="bottom"><a class="el" href="#obj192863948">useGlobalKeyBindings</a> (self)</td></tr>
<tr><td class="memItemLeft" nowrap align="right" valign="top">&nbsp;</td><td class="memItemRight" valign="bottom"><a class="el" href="#obj192876140">virtual_hook</a> (self, int id, void data)</td></tr>
</table>
<hr><h2>Method Documentation</h2><a class="anchor" name="obj192848460"></a>
<div class="memitem">
<div class="memproto">
<table class="memname"><tr>
<td class="memname">__init__</td>
<td>(</td>
<td class="paramtype">&nbsp;</td>
<td class="paramname"><em>self</em>&nbsp;)</td>
<td width="100%"> </td>
</tr>
</table>
</div>
<div class="memdoc"><p>Default constructor.
</p></div></div><a class="anchor" name="obj192876300"></a>
<div class="memitem">
<div class="memproto">
<table class="memname"><tr>
<td class="memname">__init__</td>
<td>(</td>
<td class="paramtype">&nbsp;<em>self</em>, </td>
<td class="paramname"></td>
</tr><tr>
<td class="memname"></td>
<td></td>
<td class="paramtype"><a href="../kdeui/KCompletionBase.html">KCompletionBase</a>&nbsp;</td>
<td class="paramname"><em>a0</em></td>
</tr>
<tr>
<td></td>
<td>)</td>
<td></td>
<td></td>
<td width="100%"> </td>
</tr></table>
</div>
<div class="memdoc"></div></div><a class="anchor" name="obj192873228"></a>
<div class="memitem">
<div class="memproto">
<table class="memname"><tr>
<td class="memname"><a href="../kdeui/KCompletion.html">KCompletion</a> compObj</td>
<td>(</td>
<td class="paramtype">&nbsp;</td>
<td class="paramname"><em>self</em>&nbsp;)</td>
<td width="100%"> </td>
</tr>
</table>
</div>
<div class="memdoc"><p>Returns a pointer to the completion object.
</p>
<p>
This method is only different from completionObject()
in that it does not create a new KCompletion object even if
the internal pointer is NULL. Use this method to get the
pointer to a completion object when inheriting so that you
won't inadvertently create it!!
</p>
<p>
<dl class="return" compact><dt><b>Returns:</b></dt><dd> the completion object or NULL if one does not exist.
</dd></dl>
</p></div></div><a class="anchor" name="obj192862220"></a>
<div class="memitem">
<div class="memproto">
<table class="memname"><tr>
<td class="memname">KGlobalSettings.Completion completionMode</td>
<td>(</td>
<td class="paramtype">&nbsp;</td>
<td class="paramname"><em>self</em>&nbsp;)</td>
<td width="100%"> </td>
</tr>
</table>
</div>
<div class="memdoc"><p>Returns the current completion mode.
</p>
<p>
The return values are of type KGlobalSettings.Completion.
See setCompletionMode() for details.
</p>
<p>
<dl class="return" compact><dt><b>Returns:</b></dt><dd> the completion mode.
</dd></dl>
</p></div></div><a class="anchor" name="obj192849164"></a>
<div class="memitem">
<div class="memproto">
<table class="memname"><tr>
<td class="memname"><a href="../kdeui/KCompletion.html">KCompletion</a> completionObject</td>
<td>(</td>
<td class="paramtype">&nbsp;<em>self</em>, </td>
<td class="paramname"></td>
</tr><tr>
<td class="memname"></td>
<td></td>
<td class="paramtype">bool&nbsp;</td>
<td class="paramname"><em>hsig=1</em></td>
</tr>
<tr>
<td></td>
<td>)</td>
<td></td>
<td></td>
<td width="100%"> </td>
</tr></table>
</div>
<div class="memdoc"><p>Returns a pointer to the current completion object.
</p>
<p>
If the completion object does not exist, it is automatically created and
by default handles all the completion signals internally unless <b>hsig</b>
is set to false. It is also automatically destroyed when the destructor
is called. You can change this default behavior using the
setAutoDeleteCompletionObject and setHandleSignals member
functions.
</p>
<p>
See also compObj.
</p>
<p>
</p><dl compact><dt><b>Parameters:</b></dt><dd>
<table border="0" cellspacing="2" cellpadding="0">
<tr><td></td><td valign="top"><em>hsig</em>&nbsp;</td><td> if true, handles completion signals internally.
</td></tr> </table></dl>
<p> <dl class="return" compact><dt><b>Returns:</b></dt><dd> a pointer the completion object.
</dd></dl>
</p></div></div><a class="anchor" name="obj192875052"></a>
<div class="memitem">
<div class="memproto">
<table class="memname"><tr>
<td class="memname"><a href="../kdeui/KCompletionBase.html">KCompletionBase</a> delegate</td>
<td>(</td>
<td class="paramtype">&nbsp;</td>
<td class="paramname"><em>self</em>&nbsp;)</td>
<td width="100%"> </td>
</tr>
</table>
</div>
<div class="memdoc"><p>Returns the delegation object.
<dl class="return" compact><dt><b>Returns:</b></dt><dd> the delegation object, or 0 if there is none
</dd></dl> <dl class="see" compact><dt><b>See also:</b></dt><dd> setDelegate()
</dd></dl>
</p></div></div><a class="anchor" name="obj192851916"></a>
<div class="memitem">
<div class="memproto">
<table class="memname"><tr>
<td class="memname">bool emitSignals</td>
<td>(</td>
<td class="paramtype">&nbsp;</td>
<td class="paramname"><em>self</em>&nbsp;)</td>
<td width="100%"> </td>
</tr>
</table>
</div>
<div class="memdoc"><p>Returns true if the object emits the signals.
</p>
<p>
<dl class="return" compact><dt><b>Returns:</b></dt><dd> true if signals are emitted
</dd></dl>
</p></div></div><a class="anchor" name="obj192863468"></a>
<div class="memitem">
<div class="memproto">
<table class="memname"><tr>
<td class="memname"><a href="../kdeui/KShortcut.html">KShortcut</a> getKeyBinding</td>
<td>(</td>
<td class="paramtype">&nbsp;<em>self</em>, </td>
<td class="paramname"></td>
</tr><tr>
<td class="memname"></td>
<td></td>
<td class="paramtype">KCompletionBase.KeyBindingType&nbsp;</td>
<td class="paramname"><em>item</em></td>
</tr>
<tr>
<td></td>
<td>)</td>
<td></td>
<td></td>
<td width="100%"> </td>
</tr></table>
</div>
<div class="memdoc"><p>Returns the key-binding used for the specified item.
</p>
<p>
This methods returns the key-binding used to activate
the feature feature given by <b>item.</b> If the binding
contains modifier key(s), the SUM of the modifier key
and the actual key code are returned.
</p>
<p>
</p><dl compact><dt><b>Parameters:</b></dt><dd>
<table border="0" cellspacing="2" cellpadding="0">
<tr><td></td><td valign="top"><em>item</em>&nbsp;</td><td> the item to check
</td></tr> </table></dl>
<p> <dl class="return" compact><dt><b>Returns:</b></dt><dd> the key-binding used for the feature given by <b>item.</b>
</dd></dl> <dl class="see" compact><dt><b>See also:</b></dt><dd> setKeyBinding
</dd></dl>
</p></div></div><a class="anchor" name="obj192874060"></a>
<div class="memitem">
<div class="memproto">
<table class="memname"><tr>
<td class="memname">KCompletionBase.KeyBindingMap getKeyBindings</td>
<td>(</td>
<td class="paramtype">&nbsp;</td>
<td class="paramname"><em>self</em>&nbsp;)</td>
<td width="100%"> </td>
</tr>
</table>
</div>
<div class="memdoc"><p>Returns a key-binding map.
</p>
<p>
This method is the same as getKeyBinding() except it
returns the whole keymap containing the key-bindings.
</p>
<p>
<dl class="return" compact><dt><b>Returns:</b></dt><dd> the key-binding used for the feature given by <b>item.</b>
</dd></dl>
</p></div></div><a class="anchor" name="obj192851372"></a>
<div class="memitem">
<div class="memproto">
<table class="memname"><tr>
<td class="memname">bool handleSignals</td>
<td>(</td>
<td class="paramtype">&nbsp;</td>
<td class="paramname"><em>self</em>&nbsp;)</td>
<td width="100%"> </td>
</tr>
</table>
</div>
<div class="memdoc"><p>Returns true if the object handles the signals.
</p>
<p>
<dl class="return" compact><dt><b>Returns:</b></dt><dd> true if this signals are handled internally.
</dd></dl>
</p></div></div><a class="anchor" name="obj192851116"></a>
<div class="memitem">
<div class="memproto">
<table class="memname"><tr>
<td class="memname">bool isCompletionObjectAutoDeleted</td>
<td>(</td>
<td class="paramtype">&nbsp;</td>
<td class="paramname"><em>self</em>&nbsp;)</td>
<td width="100%"> </td>
</tr>
</table>
</div>
<div class="memdoc"><p>Returns true if the completion object is deleted
upon this widget's destruction.
</p>
<p>
See setCompletionObject() and enableCompletion()
for details.
</p>
<p>
<dl class="return" compact><dt><b>Returns:</b></dt><dd> true if the completion object will be deleted
automatically
</dd></dl>
</p></div></div><a class="anchor" name="obj192851468"></a>
<div class="memitem">
<div class="memproto">
<table class="memname"><tr>
<td class="memname"> setAutoDeleteCompletionObject</td>
<td>(</td>
<td class="paramtype">&nbsp;<em>self</em>, </td>
<td class="paramname"></td>
</tr><tr>
<td class="memname"></td>
<td></td>
<td class="paramtype">bool&nbsp;</td>
<td class="paramname"><em>autoDelete</em></td>
</tr>
<tr>
<td></td>
<td>)</td>
<td></td>
<td></td>
<td width="100%"> </td>
</tr></table>
</div>
<div class="memdoc"><p>Sets the completion object when this widget's destructor
is called.
</p>
<p>
If the argument is set to true, the completion object
is deleted when this widget's destructor is called.
</p>
<p>
</p><dl compact><dt><b>Parameters:</b></dt><dd>
<table border="0" cellspacing="2" cellpadding="0">
<tr><td></td><td valign="top"><em>autoDelete</em>&nbsp;</td><td> if true, delete completion object on destruction.
</td></tr>
</table></dl>
<p>
</p></div></div><a class="anchor" name="obj192872588"></a>
<div class="memitem">
<div class="memproto">
<table class="memname"><tr>
<td class="memname"> setCompletedItems</td>
<td>(</td>
<td class="paramtype">&nbsp;<em>self</em>, </td>
<td class="paramname"></td>
</tr><tr>
<td class="memname"></td>
<td></td>
<td class="paramtype"><a href="http://www.riverbankcomputing.co.uk/static/Docs/PyQt4/html/qstringlist.html">QStringList</a>&nbsp;</td>
<td class="paramname"><em>items</em>, </td>
</tr>
<tr>
<td class="memname"></td>
<td></td>
<td class="paramtype">bool&nbsp;</td>
<td class="paramname"><em>autoSuggest=1</em></td>
</tr>
<tr>
<td></td>
<td>)</td>
<td></td>
<td></td>
<td width="100%"> </td>
</tr></table>
</div>
<div class="memdoc"><dl compact><dt><b>Abstract method:</b></dt><dd>This method is abstract and can be overridden but not called directly.</dd></dl><p>A pure virtual function that must be implemented by
all inheriting classes.
</p><dl compact><dt><b>Parameters:</b></dt><dd>
<table border="0" cellspacing="2" cellpadding="0">
<tr><td></td><td valign="top"><em>items</em>&nbsp;</td><td> the list of completed items

<tr><td></td><td valign="top"><em>autoSuggest</em>&nbsp;</td><td> if true, the first element of <b>items</b>
is auto-completed (i.e. pre-selected).
</td></tr>
</table></dl>
<p>
</p></div></div><a class="anchor" name="obj192863916"></a>
<div class="memitem">
<div class="memproto">
<table class="memname"><tr>
<td class="memname"> setCompletedText</td>
<td>(</td>
<td class="paramtype">&nbsp;<em>self</em>, </td>
<td class="paramname"></td>
</tr><tr>
<td class="memname"></td>
<td></td>
<td class="paramtype"><a href="http://www.riverbankcomputing.co.uk/static/Docs/PyQt4/html/qstring.html">QString</a>&nbsp;</td>
<td class="paramname"><em>text</em></td>
</tr>
<tr>
<td></td>
<td>)</td>
<td></td>
<td></td>
<td width="100%"> </td>
</tr></table>
</div>
<div class="memdoc"><dl compact><dt><b>Abstract method:</b></dt><dd>This method is abstract and can be overridden but not called directly.</dd></dl><p>A pure virtual function that must be implemented by
all inheriting classes.
</p>
<p>
This function is intended to allow external completion
implementations to set completed text appropriately. It
is mostly relevant when the completion mode is set to
CompletionAuto and CompletionManual modes. See
KCompletionBase.setCompletedText.
Does nothing in CompletionPopup mode, as all available
matches will be shown in the popup.
</p>
<p>
</p><dl compact><dt><b>Parameters:</b></dt><dd>
<table border="0" cellspacing="2" cellpadding="0">
<tr><td></td><td valign="top"><em>text</em>&nbsp;</td><td> the completed text to be set in the widget.
</td></tr>
</table></dl>
<p>
</p></div></div><a class="anchor" name="obj192860908"></a>
<div class="memitem">
<div class="memproto">
<table class="memname"><tr>
<td class="memname"> setCompletionMode</td>
<td>(</td>
<td class="paramtype">&nbsp;<em>self</em>, </td>
<td class="paramname"></td>
</tr><tr>
<td class="memname"></td>
<td></td>
<td class="paramtype">KGlobalSettings.Completion&nbsp;</td>
<td class="paramname"><em>mode</em></td>
</tr>
<tr>
<td></td>
<td>)</td>
<td></td>
<td></td>
<td width="100%"> </td>
</tr></table>
</div>
<div class="memdoc"><p>Sets the type of completion to be used.
</p>
<p>
The completion modes supported are those defined in
KGlobalSettings(). See below.
</p>
<p>
</p><dl compact><dt><b>Parameters:</b></dt><dd>
<table border="0" cellspacing="2" cellpadding="0">
<tr><td></td><td valign="top"><em>mode</em>&nbsp;</td><td> Completion type:
</td></tr> </table></dl>
<p> <li> CompletionNone: Disables completion feature. </li>
<li> CompletionAuto: Attempts to find a match &amp; </li>
fills-in the remaining text.
<li> CompletionMan: Acts the same as the above </li>
except the action has to be
manually triggered through
pre-defined completion key.
<li> CompletionShell: Mimics the completion feature </li>
found in typical *nix shell
environments.
<li> CompletionPopup: Shows all available completions at once, </li>
in a listbox popping up.
</p></div></div><a class="anchor" name="obj192849676"></a>
<div class="memitem">
<div class="memproto">
<table class="memname"><tr>
<td class="memname"> setCompletionObject</td>
<td>(</td>
<td class="paramtype">&nbsp;<em>self</em>, </td>
<td class="paramname"></td>
</tr><tr>
<td class="memname"></td>
<td></td>
<td class="paramtype"><a href="../kdeui/KCompletion.html">KCompletion</a>&nbsp;</td>
<td class="paramname"><em>compObj</em>, </td>
</tr>
<tr>
<td class="memname"></td>
<td></td>
<td class="paramtype">bool&nbsp;</td>
<td class="paramname"><em>hsig=1</em></td>
</tr>
<tr>
<td></td>
<td>)</td>
<td></td>
<td></td>
<td width="100%"> </td>
</tr></table>
</div>
<div class="memdoc"><p>Sets up the completion object to be used.
</p>
<p>
This method assigns the completion object and sets it up to automatically
handle the completion and rotation signals internally. You should use
this function if you want to share one completion object among your
widgets or need to use a customized completion object.
</p>
<p>
The object assigned through this method is not deleted when this object's
destructor is invoked unless you explicitly call setAutoDeleteCompletionObject
after calling this method. Be sure to set the bool argument to false, if
you want to handle the completion signals yourself.
</p>
<p>
</p><dl compact><dt><b>Parameters:</b></dt><dd>
<table border="0" cellspacing="2" cellpadding="0">
<tr><td></td><td valign="top"><em>compObj</em>&nbsp;</td><td> a KCompletion() or a derived child object.

<tr><td></td><td valign="top"><em>hsig</em>&nbsp;</td><td> if true, handles completion signals internally.
</td></tr>
</table></dl>
<p>
</p></div></div><a class="anchor" name="obj192874668"></a>
<div class="memitem">
<div class="memproto">
<table class="memname"><tr>
<td class="memname"> setDelegate</td>
<td>(</td>
<td class="paramtype">&nbsp;<em>self</em>, </td>
<td class="paramname"></td>
</tr><tr>
<td class="memname"></td>
<td></td>
<td class="paramtype"><a href="../kdeui/KCompletionBase.html">KCompletionBase</a>&nbsp;</td>
<td class="paramname"><em>delegate</em></td>
</tr>
<tr>
<td></td>
<td>)</td>
<td></td>
<td></td>
<td width="100%"> </td>
</tr></table>
</div>
<div class="memdoc"><p>Sets or removes the delegation object. If a delegation object is
set, all function calls will be forwarded to the delegation object.
</p><dl compact><dt><b>Parameters:</b></dt><dd>
<table border="0" cellspacing="2" cellpadding="0">
<tr><td></td><td valign="top"><em>delegate</em>&nbsp;</td><td> the delegation object, or 0 to remove it
</td></tr>
</table></dl>
<p>
</p></div></div><a class="anchor" name="obj192851884"></a>
<div class="memitem">
<div class="memproto">
<table class="memname"><tr>
<td class="memname"> setEnableSignals</td>
<td>(</td>
<td class="paramtype">&nbsp;<em>self</em>, </td>
<td class="paramname"></td>
</tr><tr>
<td class="memname"></td>
<td></td>
<td class="paramtype">bool&nbsp;</td>
<td class="paramname"><em>enable</em></td>
</tr>
<tr>
<td></td>
<td>)</td>
<td></td>
<td></td>
<td width="100%"> </td>
</tr></table>
</div>
<div class="memdoc"><p>Sets the widget's ability to emit text completion and
rotation signals.
</p>
<p>
Invoking this function with <b>enable</b> set to <b>false</b> will
cause the completion &amp; rotation signals not to be emitted.
However, unlike setting the completion object to <b>NULL</b>
using setCompletionObject, disabling the emition of
the signals through this method does not affect the current
completion object.
</p>
<p>
There is no need to invoke this function by default. When a
completion object is created through completionObject or
setCompletionObject, these signals are set to emit
automatically. Also note that disabling this signals will not
necessarily interfere with the objects ability to handle these
events internally. See setHandleSignals.
</p>
<p>
</p><dl compact><dt><b>Parameters:</b></dt><dd>
<table border="0" cellspacing="2" cellpadding="0">
<tr><td></td><td valign="top"><em>enable</em>&nbsp;</td><td> if false, disables the emition of completion &amp; rotation signals.
</td></tr>
</table></dl>
<p>
</p></div></div><a class="anchor" name="obj192849740"></a>
<div class="memitem">
<div class="memproto">
<table class="memname"><tr>
<td class="memname"> setHandleSignals</td>
<td>(</td>
<td class="paramtype">&nbsp;<em>self</em>, </td>
<td class="paramname"></td>
</tr><tr>
<td class="memname"></td>
<td></td>
<td class="paramtype">bool&nbsp;</td>
<td class="paramname"><em>handle</em></td>
</tr>
<tr>
<td></td>
<td>)</td>
<td></td>
<td></td>
<td width="100%"> </td>
</tr></table>
</div>
<div class="memdoc"><p>Enables this object to handle completion and rotation
events internally.
</p>
<p>
This function simply assigns a boolean value that
indicates whether it should handle rotation and
completion events or not. Note that this does not
stop the object from emitting signals when these
events occur.
</p>
<p>
</p><dl compact><dt><b>Parameters:</b></dt><dd>
<table border="0" cellspacing="2" cellpadding="0">
<tr><td></td><td valign="top"><em>handle</em>&nbsp;</td><td> if true, handle completion &amp; rotation internally.
</td></tr>
</table></dl>
<p>
</p></div></div><a class="anchor" name="obj192862668"></a>
<div class="memitem">
<div class="memproto">
<table class="memname"><tr>
<td class="memname">bool setKeyBinding</td>
<td>(</td>
<td class="paramtype">&nbsp;<em>self</em>, </td>
<td class="paramname"></td>
</tr><tr>
<td class="memname"></td>
<td></td>
<td class="paramtype">KCompletionBase.KeyBindingType&nbsp;</td>
<td class="paramname"><em>item</em>, </td>
</tr>
<tr>
<td class="memname"></td>
<td></td>
<td class="paramtype"><a href="../kdeui/KShortcut.html">KShortcut</a>&nbsp;</td>
<td class="paramname"><em>key</em></td>
</tr>
<tr>
<td></td>
<td>)</td>
<td></td>
<td></td>
<td width="100%"> </td>
</tr></table>
</div>
<div class="memdoc"><p>Sets the key-binding to be used for manual text
completion, text rotation in a history list as
well as a completion list.
</p>
<p>
When the keys set by this function are pressed, a
signal defined by the inheriting widget will be activated.
If the default value or 0 is specified by the second
parameter, then the key-binding as defined in the global
setting should be used. This method returns false value
for <b>key</b> is negative or the supplied key-binding conflicts
with the ones set for one of the other features.
</p>
<p>
NOTE: To use a modifier key (Shift, Ctrl, Alt) as part of
the key-binding simply simply <b>sum</b> up the values of the
modifier and the actual key. For example, to use CTRL+E as
a key binding for one of the items, you would simply supply
<b>"Qt.CtrlButton</b> + Qt.Key_E" as the second argument to this
function.
</p>
<p>
</p><dl compact><dt><b>Parameters:</b></dt><dd>
<table border="0" cellspacing="2" cellpadding="0">
<tr><td></td><td valign="top"><em>item</em>&nbsp;</td><td> the feature whose key-binding needs to be set:
</td></tr> </table></dl>
<p> <li> TextCompletion the manual completion key-binding. </li>
<li> PrevCompletionMatch the previous match key for multiple completion. </li>
<li> NextCompletionMatch the next match key for for multiple completion. </li>
<li> SubstringCompletion the key for substring completion </li>
</p><dl compact><dt><b>Parameters:</b></dt><dd>
<table border="0" cellspacing="2" cellpadding="0">
<tr><td></td><td valign="top"><em>key</em>&nbsp;</td><td> key-binding used to rotate down in a list.
</td></tr> </table></dl>
<p> <dl class="return" compact><dt><b>Returns:</b></dt><dd> true if key-binding can successfully be set.
</dd></dl> <dl class="see" compact><dt><b>See also:</b></dt><dd> getKeyBinding
</dd></dl>
</p></div></div><a class="anchor" name="obj192863948"></a>
<div class="memitem">
<div class="memproto">
<table class="memname"><tr>
<td class="memname"> useGlobalKeyBindings</td>
<td>(</td>
<td class="paramtype">&nbsp;</td>
<td class="paramname"><em>self</em>&nbsp;)</td>
<td width="100%"> </td>
</tr>
</table>
</div>
<div class="memdoc"><p>Sets this object to use global values for key-bindings.
</p>
<p>
This method changes the values of the key bindings for
rotation and completion features to the default values
provided in KGlobalSettings.
</p>
<p>
NOTE: By default inheriting widgets should uses the
global key-bindings so that there will be no need to
call this method.
</p></div></div><a class="anchor" name="obj192876140"></a>
<div class="memitem">
<div class="memproto">
<table class="memname"><tr>
<td class="memname"> virtual_hook</td>
<td>(</td>
<td class="paramtype">&nbsp;<em>self</em>, </td>
<td class="paramname"></td>
</tr><tr>
<td class="memname"></td>
<td></td>
<td class="paramtype">int&nbsp;</td>
<td class="paramname"><em>id</em>, </td>
</tr>
<tr>
<td class="memname"></td>
<td></td>
<td class="paramtype">void&nbsp;</td>
<td class="paramname"><em>data</em></td>
</tr>
<tr>
<td></td>
<td>)</td>
<td></td>
<td></td>
<td width="100%"> </td>
</tr></table>
</div>
<div class="memdoc"><p>Virtual hook, used to add new "virtual" functions while maintaining
binary compatibility. Unused in this class.
</p></div></div><hr><h2>Enumeration Documentation</h2><a class="anchor" name="obj192839180"></a>
<div class="memitem">
<div class="memproto">
<table class="memname">
<tr><td class="memname">KeyBindingType</td>
</tr>
</table>
</div>
<div class="memdoc"><p>Text completion (by default Ctrl-E).
</p><dl compact><dt><b>Enumerator: </b></dt><dd>
<table border="0" cellspacing="2" cellpadding="0"><tr><td valign="top"><em>TextCompletion</em>&nbsp;</td><td><tr><td valign="top"><em>PrevCompletionMatch</em>&nbsp;</td><td><tr><td valign="top"><em>NextCompletionMatch</em>&nbsp;</td><td><tr><td valign="top"><em>SubstringCompletion</em>&nbsp;</td><td></table>
</dl>
</div></div><p>
</div>
</div>
</div>

<div id="left">

<div class="menu_box">
<div class="nav_list">
<ul>
<li><a href="../allclasses.html">Full Index</a></li>
</ul>
</div>

<a name="cp-menu" /><div class="menutitle"><div>
  <h2 id="cp-menu-project">Modules</h2>
</div></div>
<div class="nav_list">
<ul>
<li><a href="../akonadi/index.html">akonadi</a></li>
<li><a href="../dnssd/index.html">dnssd</a></li>
<li><a href="../kdecore/index.html">kdecore</a></li>
<li><a href="../kdeui/index.html">kdeui</a></li>
<li><a href="../khtml/index.html">khtml</a></li>
<li><a href="../kio/index.html">kio</a></li>
<li><a href="../knewstuff/index.html">knewstuff</a></li>
<li><a href="../kparts/index.html">kparts</a></li>
<li><a href="../kutils/index.html">kutils</a></li>
<li><a href="../nepomuk/index.html">nepomuk</a></li>
<li><a href="../phonon/index.html">phonon</a></li><li><a href="../plasma/index.html">plasma</a></li>
<li><a href="../solid/index.html">solid</a></li>
<li><a href="../soprano/index.html">soprano</a></li>
</ul></div></div>

</div>

</div>
  <div class="clearer"/>
</div>

<div id="end_body"></div>
</div>
<div id="footer"><div id="footer_text">
This documentation is maintained by <a href="&#109;&#97;&#105;&#108;&#116;&#111;&#58;simon&#64;simonzone&#46;com">Simon Edwards</a>.<br />
        KDE<sup>&#174;</sup> and <a href="../images/kde_gear_black.png">the K Desktop Environment<sup>&#174;</sup> logo</a> are registered trademarks of <a href="http://ev.kde.org/" title="Homepage of the KDE non-profit Organization">KDE e.V.</a> |
        <a href="http://www.kde.org/contact/impressum.php">Legal</a>
    </div></div>
</body>
</html>
